Bug 1730248 - not authorized perform operation
Summary: not authorized perform operation
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Vojtech Trefny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 09:56 UTC by FlyDove
Modified: 2019-11-27 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:01:23 UTC


Attachments (Terms of Use)
USB Disk NTFS Open Error (143.59 KB, image/png)
2019-07-16 09:56 UTC, FlyDove
no flags Details

Description FlyDove 2019-07-16 09:56:09 UTC
Created attachment 1591012 [details]
USB Disk NTFS Open Error

Update udisk2 Error On nautilus nemo Open USB Desk AS WindowsNTFS

Show Message not authorized perform operation

Fix
https://bbs.archlinux.org/viewtopic.php?id=142012



/etc/polkit-1/localauthority/50-local.d/50-filesystem-mount-system-internal.pkla

[Override udisks2 filesystem-mount-system rule]
Identity=unix-user:myusername
Action=org.freedesktop.udisks2.filesystem-mount-system
ResultAny=auth_admin
ResultInactive=auth_admin
ResultActive=yes

Comment 1 Tomáš Bžatek 2019-07-16 10:06:02 UTC
Does PolicyKit work for you otherwise? I.e. can you mount non-NTFS volumes that require authorization (password prompt from polkit agent)?

Comment 2 Ben Cotton 2019-10-31 19:03:29 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 23:01:23 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.